Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Token::ACE_Token_Queue_Entry Struct Reference

`#include <Token.h>`

Collaboration diagram for ACE_Token::ACE_Token_Queue_Entry:

[legend]
List of all members.

## Public Methods
| ACE_Token_Queue_Entry (ACE_Thread_Mutex &m, ACE_thread_t t_id)
| Constructor.
| ACE_Token_Queue_Entry (ACE_Thread_Mutex &m, ACE_thread_t t_id, ACE_Condition_Attributes &attributes)
| Constructor using a pre-allocated attributes.
int | wait (ACE_Time_Value *timeout, ACE_Thread_Mutex &lock)
| Entry blocks on the token.
int | signal (void)
| Notify (unblock) the entry.
## Public Attributes
ACE_Token_Queue_Entry * | next_
| Pointer to next waiter.
ACE_thread_t | thread_id_
| ACE_Thread id of this waiter.
ACE_Semaphore | cv_
| ACE_Semaphore object used to wake up waiter when it can run again.
int | runable_
| Ok to run.

## Detailed Description

The following structure implements a LIFO/FIFO queue of waiter threads that are asleep waiting to obtain the token.

## Constructor & Destructor Documentation

ACE_Token::ACE_Token_Queue_Entry::ACE_Token_Queue_Entry | ( | ACE_Thread_Mutex & | m,
|  | ACE_thread_t | t_id
| ) |

| Constructor.

ACE_Token::ACE_Token_Queue_Entry::ACE_Token_Queue_Entry | ( | ACE_Thread_Mutex & | m,
|  | ACE_thread_t | t_id,
|  | ACE_Condition_Attributes & | attributes
| ) |

| Constructor using a pre-allocated attributes.

## Member Function Documentation

ACE_INLINE int ACE_Token::ACE_Token_Queue_Entry::signal | ( | void |  | ) |

| Notify (unblock) the entry.

ACE_INLINE int ACE_Token::ACE_Token_Queue_Entry::wait | ( | ACE_Time_Value * | timeout,
|  | ACE_Thread_Mutex & | lock
| ) |

| Entry blocks on the token.

## Member Data Documentation

ACE_Semaphore ACE_Token::ACE_Token_Queue_Entry::cv_

| ACE_Semaphore object used to wake up waiter when it can run again.

ACE_Token_Queue_Entry* ACE_Token::ACE_Token_Queue_Entry::next_

| Pointer to next waiter.

int ACE_Token::ACE_Token_Queue_Entry::runable_

| Ok to run.

ACE_thread_t ACE_Token::ACE_Token_Queue_Entry::thread_id_

| ACE_Thread id of this waiter.

The documentation for this struct was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Token.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Token.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Token.i